import { Provider, GlobalProviders, TypedProvidersRegistry } from '@tsed/di';

export const PROVIDER_TYPE_BROWSER_WINDOW = 'BrowserWindow';

export const BrowserWindowRegistry: TypedProvidersRegistry = GlobalProviders.createRegistry(
  PROVIDER_TYPE_BROWSER_WINDOW,
  Provider
);

export const registerBrowserWindow = GlobalProviders.createRegisterFn(
  PROVIDER_TYPE_BROWSER_WINDOW
);
