import * as Electron from 'electron';
import { Type } from '@tsed/core';
import { Inject } from '@tsed/di';

declare global {
  namespace Electron {
    interface App {}
  }
}

export type ElectronApp = Electron.App;

export function ElectronApp(
  target: Type<any>,
  targetKey: string,
  descriptor: TypedPropertyDescriptor<Function> | number
) {
  return Inject(ElectronApp)(target, targetKey, descriptor);
}
